Subject: Re: linux-next: add utrace tree

From: [email-masked]
Date: Fri, 22 Jan 2010 08:43:18 -0500

On Fri, 22 Jan 2010 10:51:39 +0530, Ananth N Mavinakayanahalli said:

> FWIW, Oleg's implementation of ptrace over utrace is 100% compatible
> with legacy ptrace; gdb testsuite indicates that
> (http://lkml.org/lkml/2009/12/21/98).

No, that only proves it's compatible enough for gdb to not care. The problem
is all those *other* packages that abuse ptrace in totally crackhead ways.

(No, I can't name them - but ptrace is the sort of interface that almost
encourages its use for things somewhere between crackhead and mad-scientist,
so they're almost certainly out there.. WAY out there.. :)